Bug 799837 - Missing option '-g' for 'rhc app create'
Missing option '-g' for 'rhc app create'
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Command Line Interface (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Rob Millner
libra bugs
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-05 03:16 EST by bzhao
Modified: 2015-05-14 21:47 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-19 14:22:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description bzhao 2012-03-05 03:16:13 EST
Description of problem:
When I run command 'rhc app create' with -g option to create an application,it will return 'invalid option --g'

Command 'rhc-create-app -g' can work normarlly, it hasn't any issue


Version-Release number of selected component (if applicable):
rhc-0.87.8-1.el6_2.noarch

How reproducible:
Always

Steps to Reproduce:
1. Create an application with the gear size
# rhc app create -a pythontest -t python-2.6 -p xxx -g small

  
Actual results:
It'll output error messages with 'invalid option -- g'

Expected results:
The application could be created successfully without any error

Additional info:
# rhc app create -h
List of arguments
  -l|--rhlogin      rhlogin      Red Hat login (RHN or OpenShift login with OpenShift Express access) (Default: bzhao+3@redhat.com)
  -p|--password     password     RHLogin password (optional, will prompt)
  -a|--app          application  Application name  (alphanumeric - max 32 chars) (required)
  -t|--type         type         Type of app to create (raw-0.1, php-5.3, jenkins-1.4, jbossas-7, python-2.6, perl-5.10, ruby-1.8) (required for creating an application)
  -c|--cartridge    cartridge    The embedded cartrige to manage (required for the cartridge command)
  -r|--repo         path         Git Repo path (defaults to ./$app_name)
  -n|--nogit                     Only create remote space, don't pull it locally
  --no-dns                       Skip DNS check. Must be used in combination with --nogit
  -d|--debug                     Print Debug info
  -h|--help                      Show Usage info
  -b|--bypass                    Bypass warnings (applicable to application destroying only)
  -f|--filepath     filepath     Applicable in case of snapshot and log command
  -o|--opts         options      Options to pass to the server-side (linux based) tail command (applicable to tail command only) (-f is implicit.  See the linux tail man page full list of options.) (Ex: --opts '-n 100')
  --alias           alias        Specify server alias (when using add/remove-alias)
  --config          path         Path of alternate config file
  --timeout         #            Timeout, in seconds, for connection
  --enable-jenkins  [name]
Comment 1 Abhishek Gupta 2012-03-05 13:13:28 EST
Assigning this to Clayton while we find a new dev owner for the CLI tools.
Comment 2 Rob Millner 2012-03-14 14:27:29 EDT
Commit 346046e in os-client-tools.
Comment 3 bzhao 2012-03-15 05:52:04 EDT
Passed verification on on dev 1662

Note You need to log in before you can comment on or make changes to this bug.